> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketrelationtype

> Ticket Relation Type

## "ticketrelationtype" MDO List

Ticket Relation Type

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketRelationTypeProvider">TicketRelationTypeProvider</see> class.
The name of the MDO list is 'ticketrelationtype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketrelationtype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketrelationtype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 0  | Related |           |           |
| 1  | Parent  |           |           |
| 2  | Child   |           |           |

## Related MDO Lists

* "ticketrelationtypeheadings"
* "ticketrelationtypeheadingswithallitem"
* "ticketrelationtypeheadingswithallitemwithnoselection"
* "ticketrelationtypeheadingswithnoselection"
* "ticketrelationtypewithallitem"
* "ticketrelationtypewithallitemwithnoselection"
* "ticketrelationtypewithnoselection"


## Related topics

- [Enum values for TicketRelationType](/en/database/tables/enums/ticketrelationtype.md)
- [SuperOffice.WebApi.Data.TicketRelationType](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketRelationType.md)
- [SuperOffice.WebApi.Agents.ITicketAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ITicketAgent.md)
- [SuperOffice.WebApi.Agents.TicketAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.TicketAgent.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
- [SuperOffice.WebApi.Agents.ListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ListAgent.md)
